From cf3a18643fafbe07b1f4978ab9762c197476cf38 Mon Sep 17 00:00:00 2001
From: Starbeamrainbowlabs <sbrl@starbeamrainbowlabs.com>
Date: Sat, 28 Apr 2018 14:08:01 +0100
Subject: [PATCH] Bump version for neta release!

---
 Changelog.md      |  2 +-
 build/index.php   | 21 +++++----------------
 module_index.json |  2 +-
 version           |  2 +-
 4 files changed, 8 insertions(+), 19 deletions(-)

diff --git a/Changelog.md b/Changelog.md
index 6ee1fc1..7e430bf 100644
--- a/Changelog.md
+++ b/Changelog.md
@@ -1,7 +1,7 @@
 # Changelog
 This file holds the changelog for Pepperminty Wiki. This is the master list of things that have changed (second only to the commit history!) - though the information for any particular release can also be found in the description of it's page for every release made on GitHub too.
 
-## v0.16-dev
+## v0.16-beta1
 
 ### Added
  - Add json support to the search action :D
diff --git a/build/index.php b/build/index.php
index db70bc3..f129329 100644
--- a/build/index.php
+++ b/build/index.php
@@ -386,8 +386,8 @@ if($settings->css === "auto")
 ////// Do not edit below this line unless you know what you are doing! //////
 /////////////////////////////////////////////////////////////////////////////
 /** The version of Pepperminty Wiki currently running. */
-$version = "v0.16-dev";
-$commit = "1f190da2df88cf16caad5fe7f82ea9437c78ff9f";
+$version = "v0.16-beta1";
+$commit = "d8ee42f5dd5bcd16da77ff991db674e52495439b";
 /// Environment ///
 /** Holds information about the current request environment. */
 $env = new stdClass();
@@ -1456,7 +1456,7 @@ class page_renderer
 		{extra}
 		<footer>
 			<p>{footer-message}</p>
-			<p>Powered by Pepperminty Wiki v0.16-dev, which was built by <a href='//starbeamrainbowlabs.com/'>Starbeamrainbowlabs</a>. Send bugs to 'bugs at starbeamrainbowlabs dot com' or <a href='//github.com/sbrl/Pepperminty-Wiki' title='Github Issue Tracker'>open an issue</a>.</p>
+			<p>Powered by Pepperminty Wiki v0.16-beta1, which was built by <a href='//starbeamrainbowlabs.com/'>Starbeamrainbowlabs</a>. Send bugs to 'bugs at starbeamrainbowlabs dot com' or <a href='//github.com/sbrl/Pepperminty-Wiki' title='Github Issue Tracker'>open an issue</a>.</p>
 			<p>Your local friendly moderators are {admins-name-list}.</p>
 			<p>This wiki is managed by <a href='mailto:{admin-details-email}'>{admin-details-name}</a>.</p>
 		</footer>
@@ -1474,7 +1474,7 @@ class page_renderer
 			<p><em>From {sitename}, which is managed by {admin-details-name}.</em></p>
 			<p>{footer-message}</p>
 			<p><em>Timed at {generation-date}</em></p>
-			<p><em>Powered by Pepperminty Wiki v0.16-dev.</em></p>
+			<p><em>Powered by Pepperminty Wiki v0.16-beta1.</em></p>
 		</footer>";
 
 	/**
@@ -1552,7 +1552,7 @@ class page_renderer
 			"{body}" => $body_template,
 
 			"{sitename}" => $logo_html,
-			"v0.16-dev" => $version,
+			"v0.16-beta1" => $version,
 			"{favicon-url}" => $settings->favicon,
 			"{header-html}" => self::get_header_html(),
 
@@ -4795,17 +4795,6 @@ register_module([
 				$result->value = array_keys($pages);
 				$result->completed = true;
 				return $result;
-			},
-			"render" => function($stats_data) {
-				$result = "<h2>$stats_data->name</h2>\n";
-				$result .= "<ol class='stats-list longest-pages-list'>\n";
-				$i = 0;
-				foreach($stats_data->value as $pagename => $page_length) {
-					$result .= "\t<li class='stats-item long-page'>$pagename <em>(" . human_filesize($page_length) . ")</em></li>\n";
-					$i++;
-				}
-				$result .= "</ol>\n";
-				return $result;
 			}
 		]);
 
diff --git a/module_index.json b/module_index.json
index 5e9b698..d6cce8c 100755
--- a/module_index.json
+++ b/module_index.json
@@ -113,7 +113,7 @@
         "author": "Starbeamrainbowlabs",
         "description": "An extensible statistics calculation system. Comes with a range of built-in statistics, but can be extended by other modules too.",
         "id": "feature-stats",
-        "lastupdate": 1524910399,
+        "lastupdate": 1524910425,
         "optional": false
     },
     {
diff --git a/version b/version
index 973dcf5..f321a7a 100644
--- a/version
+++ b/version
@@ -1 +1 @@
-v0.16-dev
+v0.16-beta1
